
BIGFOOT_VERSION = "1.12.0023";

function BigFootChangelog_ah()
	BIGFOOT_CHANGELOG1 = "<HTML><BODY>";
end

function BigFootChangelog_at(title)
	BIGFOOT_CHANGELOG1 = BIGFOOT_CHANGELOG1 .. "<BR/><H1>" .. title .. "</H1>";
end

function BigFootChangelog_ar(title, details)
	BIGFOOT_CHANGELOG1 = BIGFOOT_CHANGELOG1 .. "<P>|cff00e0e0" .. title .. "|r：" .. details .. "</P>";
end

function BigFootChangelog_af()
	BIGFOOT_CHANGELOG1 = BIGFOOT_CHANGELOG1 .. "</BODY></HTML>";
end

BigFootChangelog_ah();

BigFootChangelog_at("03/24/2007 (1.12.0023)");
BigFootChangelog_ar("增益魔法",		"增加消耗型增益魔法的显示，比如盗贼毒药的次数，萨满的闪电盾次数。");
BigFootChangelog_ar("背包整理",		"增加银行的背包整理以及修正一些Bug。");
BigFootChangelog_ar("鼠标提示",		"增加提示窗口的渐进效果。同时，修正鼠标提示会遮住动作条的问题。");
BigFootChangelog_ar("WMP",				"修正WMP频道会占用第一个频道位置的问题。");
BigFootChangelog_at("02/03/2006 (1.12.0022)");
BigFootChangelog_ar("客户端",			"修正部分玩家启动WoW可能会出现错误的问题。");
BigFootChangelog_at("02/03/2006 (1.12.0021)");
BigFootChangelog_ar("背包整理",		"优化了背包整理功能，现在同一类物品将会放在一起。坐骑将会放置在背包前面。");
BigFootChangelog_ar("大脚鼠标提示",	"增加新功能，大脚鼠标提示，该功能缺省是开启的，如果想要关闭该功能，请到大脚面板对应的选项去设置。");
BigFootChangelog_at("12/25/2006 (1.12.0020)");
BigFootChangelog_ar("玩家链接",		"增加新菜单选项“设定为目标”，该功能可以把相关的玩家设为目标。");
BigFootChangelog_ar("背包整合",		"增加新功能，背包整理。该功能能够帮助玩家自动整理背包。");
BigFootChangelog_at("12/25/2006 (1.12.0019)");
BigFootChangelog_ar("信息盒",			"修正游戏界面出现紊乱的问题。");

BigFootChangelog_af();

function BigFootChangelog_Register()
	local font1 = {};
	font1.inherits = MasterFont;
	font1.path = "Fonts\\FZXHLJW.TTF";
	font1.height = 15;
	font1.color = {r = 0.8828125, g = 0.84765625, b = 0.6875};

	local font2 = {};
	font2.inherits = MasterFont;
	font2.path = "Fonts\\FZXHLJW.TTF";
	font2.height = 18;
	font2.color = {r = 1.0, g = 0.82, b = 0.09765625};

	local font3 = {};
	font3.inherits = MasterFont;
	font3.path = "Fonts\\FZXHLJW.TTF";
	font3.height = 18;
	font3.color = {r = 0.0, g = 1.0, b = 0.0};

	local font4 = {};
	font4.inherits = MasterFont;
	font4.path = "Fonts\FZLBJW.TTF";
	font4.height = 15;
	font4.color = {r = 1.0, g = 0.82, b = 0.09765625};

	local callbacks = {};
	callbacks.OnLinkClick = function(linkType, linkContent)
	end

	BigFootReader_RegisterBook("更新日志", "BIGFOOT_CHANGELOG", true, font1, font2, font3, font4, callbacks);
end

BigFootChangelog_Register();
